summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2014-02-15 15:52:29 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2014-02-15 15:52:29 +0100
commit4f157056c307ae7d5d0cbd4fa35ffeb2916cd2e0 (patch)
tree93e8411b288ab46e3e993a1a2f0784255a5fc803 /scripts
parent0c0e05a071067aa433b3cf13bd982543d9ad7d17 (diff)
more Darwin compat fixes, add java as build dependency check for xbmc
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh12
1 files changed, 11 insertions, 1 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index 79d416569..1ff957c25 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -61,6 +61,10 @@ if [[ -n $ADK_NATIVE ]];then
fi
fi
+if [[ -n $ADK_PACKAGE_XBMC ]]; then
+ NEED_JAVA="$NEED_JAVA xbmc"
+fi
+
if [[ -n $ADK_PACKAGE_XKEYBOARD_CONFIG ]]; then
NEED_XKBCOMP="$NEED_XKBCOMP xkeyboard-config"
fi
@@ -78,7 +82,6 @@ if [[ -n $ADK_PACKAGE_XKEYBOARD_CONFIG ]]; then
fi
if [[ -n $ADK_PACKAGE_LIBXFONT ]]; then
- NEED_WWW="$NEED_WWW libXfont"
NEED_XMLTO="$NEED_XMLTO libXfont"
fi
@@ -258,6 +261,13 @@ if [[ -n $NEED_DBUSGLIB ]]; then
fi
fi
+if [[ -n $NEED_JAVA ]]; then
+ if ! which java >/dev/null 2>&1; then
+ echo >&2 You need java to build $NEED_JAVA
+ out=1
+ fi
+fi
+
if [[ -n $ADK_USE_CCACHE ]]; then
if ! which ccache >/dev/null 2>&1; then
echo >&2 You have selected to build with ccache, but ccache could not be found.